Skip to main content
GET
/
1
/
wallet
/
transactions
Get wallet transactions
curl --request GET \
  --url https://demo-api.mobula.io/api/1/wallet/transactions
{
  "data": {
    "transactions": [
      {
        "id": "<string>",
        "timestamp": 123,
        "from": "<string>",
        "to": "<string>",
        "contract": "<string>",
        "hash": "<string>",
        "amount_usd": 123,
        "amount": 123,
        "block_number": 123,
        "type": "<string>",
        "blockchain": "<string>",
        "tx_cost": 123,
        "transaction": {
          "hash": "<string>",
          "chainId": "<string>",
          "fees": "<string>",
          "feesUSD": 123,
          "date": "<string>"
        },
        "asset": {
          "id": 123,
          "name": "<string>",
          "symbol": "<string>",
          "decimals": 123,
          "totalSupply": 123,
          "circulatingSupply": 123,
          "price": 123,
          "liquidity": 123,
          "priceChange24hPercent": 123,
          "marketCapUSD": 123,
          "logo": "<string>",
          "nativeChainId": "<string>",
          "contract": "<string>"
        }
      }
    ],
    "wallets": [
      "<string>"
    ]
  },
  "details": null,
  "pagination": {
    "total": 123,
    "page": 123,
    "offset": 123,
    "limit": 123
  }
}
Deprecated EndpointThis endpoint is deprecated. Please use the new v2 endpoint instead:
  • /api/2/wallet/activity — Fetch detailed wallet activity with smart swap detection, spam filtering, and cursor-based pagination

Query Parameters

  • You must provide either the wallet parameter or the wallets parameter.

Query Details

ParameterTypeDescription
walletCond.Single wallet address to query trades for.
walletsstringComma-separated list of wallet addresses to query.
blockchainsstringComma-separated list of blockchain chain IDs/names to filter by.
limitstringNumber of items to return.
offsetstringOffset for pagination (alternative to page).
pagestringPage number for pagination (alternative to offset).
orderstringSort order: "asc" or "desc" by timestamp.
fromstringStart date filter (ISO string or timestamp).
tostringEnd date filter (ISO string or timestamp).
assetstringFilter by specific asset address.
unlistedAssetsstringInclude unlisted or non-indexed assets (boolean).
filterSpamstringFilter out spam tokens (boolean).

Usage Examples

  • Query Wallet Transactions with Unlisted Assets and Pagination
curl -X GET "https://demo-api.mobula.io/api/1/wallet/transactions?wallet=0xaF88370abD82EC6943cdB3D4ec7b764B92c35B43&unlistedAssets=true&pagination=true"
  • Query Wallet Transactions Filtered by Date Range
curl -X GET "https://demo-api.mobula.io/api/1/wallet/transactions?wallet=4tqMHgB8jjbTgefVfqtVFYzyfQz2LQ8T3E922ePmt6kZ&from=1704067200000&to=1735689600000"

Query Parameters

limit
string

Number of results per page

offset
string

Offset for pagination

page
string

Page number

order
string

Sort order (asc/desc)

wallet
string

Wallet address

wallets
string

Comma-separated wallet addresses

from
string

Start timestamp

to
string

End timestamp

asset
string

Filter by asset address

blockchains
string

Comma-separated blockchain IDs

unlistedAssets
string

Include unlisted assets

pagination
string

Enable pagination details

filterSpam
string

Filter spam transactions

Response

200 - application/json

Wallet transactions response

data
object
required
details
unknown
required
pagination
object
required